---
title: "Points of interest"
permalink: /docs/devel/webui_rest/poi/
toc: true
docgroup: "devel-rest"
excerpt: "Points-of-interest can be tagged live, allowing for integration of physical buttons or other scripts to make a kismetdb entry for future analysis."
---
You can tag a time and location as a "point of interest" using the POI API.  This API is only available when the `kismetdb` log is enabled.

## Create a POI

A POI is entered in the `kismetdb` log file as a `snapshot` record of type `POI`.  A POI will have the current GPS location and time, and an optional note.

* URL

    /poi/create_poi.cmd

* Methods

    `POST`

* Role

    `admin`

* API added

    `2019-03`

* POST parameters

    A [command dictionary](/docs/devel/webui_rest/commands/) containing:

    | Key  | Description                                                |
    | ---  | -----------                                                |
    | note | Optional human-readable 'note' to be added to the POI log. |

* Results

    `HTTP 200` on success

    HTTP error on failure

